package com.rf.check.user.service;


import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.user.dao.model.UserCheckEntity;
import com.rf.check.user.dao.model.UserPictureEntity;
import org.springframework.data.domain.Page;

/**
 * @Description: 用户打卡等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface UserCheckService {

    UserCheckEntity save(UserCheckEntity userCheckEntity);

    Page<UserCheckEntity> todayRanking(String nowDate, int beginNum, int pageSize);

    UserCheckEntity findByUserIdAndCreateTime(String userId, String nowDate);

    Page<UserCheckEntity> checkRecord(String userId, int beginNum, int pageSize);
}
