package com.rf.check.user.service;

import com.rf.check.user.dao.model.UserEntity;
import org.springframework.data.domain.Page;

/**
 * @Description: 用户注册登录等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface UserService {

    UserEntity save(UserEntity userEntity);

    UserEntity findById(String id);

    UserEntity findByOpenId(String openId);

    Page<UserEntity> cumulativeRanking(int beginNum, int pageSize);

    void checkNumAdd(String userId);
}
