package com.rf.check.picture.service;


import com.rf.check.picture.dao.model.PictureEntity;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * @Description: 背景图片等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface PictureService {

    Page<PictureEntity> findPictureList(String category, int beginNum, int pageSize);

    List<PictureEntity> recommendPicture(int num);

    PictureEntity findPictureByCategory(String category);

    Page<PictureEntity> findPictureOtherList(int beginNum, int pageSize);

    PictureEntity findById(String pictureId);

    PictureEntity save(PictureEntity pictureEntity);
}
